Contents

API reference

Approvals

API reference descriptions are provided in English to preserve the exact published contract.

List approval requests

GET /v1/accounts/{AC}/approvals

Required scope: `approvals:read`.

Parameters

Parameters
NameTypeRequiredDescription
limitquery · integer (1–100)
cursorquery · string (max 2048 chars)
ACpath · string (AC… SID)yesAccount SID

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Create an approval request

POST /v1/accounts/{AC}/approvals

Required scope: `approvals:request`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
Request body (7 fields)
Request body
NameTypeRequiredDescription
actionstring (pattern ^[A-Z][A-Z0-9_]*$, max 128 chars)yes
caseRefstring (max 128 chars)
expiresAtstring (date-time)
reasonstring (max 2000 chars)yes
requiredApproverRolestring (max 64 chars)yes
resourceRefstring (max 256 chars)yes
riskClass"STANDARD" | "HIGH" | "CRITICAL"

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Approve an approval request

POST /v1/accounts/{AC}/approvals/{AP}/approve

Required scope: `approvals:decide`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
APpath · string (AP… SID)yes
Request body (2 fields)
Request body
NameTypeRequiredDescription
decisionNotestring (max 2000 chars)yes
stepUpTokenstring (max 256 chars)

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Reject an approval request

POST /v1/accounts/{AC}/approvals/{AP}/reject

Required scope: `approvals:decide`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
APpath · string (AP… SID)yes
Request body (2 fields)
Request body
NameTypeRequiredDescription
decisionNotestring (max 2000 chars)yes
stepUpTokenstring (max 256 chars)

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.

Withdraw an approval request

POST /v1/accounts/{AC}/approvals/{AP}/withdraw

Required scope: `approvals:request`.

Parameters

Parameters
NameTypeRequiredDescription
ACpath · string (AC… SID)yesAccount SID
APpath · string (AP… SID)yes

Errors: 400, 401, 403, 404, 409, 422, 429, 500, 503 — see errors.